Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class ContainedHolder

    java.lang.Object
      |
      +--org.omg.CORBA.ContainedHolder

All Implemented Interfaces:
  Streamable

public final class ContainedHolder
extends java.lang.Object
implements Streamable

Holder class for : Contained

Author:
  OpenORB Compiler

Field Summary
`Contained` | `value` Internal Contained value

Constructor Summary
`ContainedHolder()` Default constructor
`ContainedHolder(Contained initial)` Constructor with value initialisation

Method Summary
`void` | `_read(InputStream istream)` Read Contained from a marshalled stream
`TypeCode` | `_type()` Return the Contained TypeCode
`void` | `_write(OutputStream ostream)` Write Contained into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public Contained value

  Internal Contained value

Constructor Detail

### ContainedHolder

    public ContainedHolder()

  Default constructor

### ContainedHolder

    public ContainedHolder(Contained initial)

  Constructor with value initialisation
  Parameters:
    `initial` - the initial value

Method Detail

### _read

    public void _read(InputStream istream)

  Read Contained from a marshalled stream
  Specified by:
    `_read` in interface `Streamable`
  Parameters:
    `istream` - the input stream

### _write

    public void _write(OutputStream ostream)

  Write Contained into a marshalled stream
  Specified by:
    `_write` in interface `Streamable`
  Parameters:
    `ostream` - the output stream

### _type

    public TypeCode _type()

  Return the Contained TypeCode
  Specified by:
    `_type` in interface `Streamable`
  Returns:
    a TypeCode

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD